Subject: bug#65116: 29.1; query-replace-read-args fails reading second arg in detached minibuf

From: Jim Rees <[email-masked]>
Date: Sat, 13 Jan 2024 17:53:17 -0600

Yes that fixed it. Thanks.

The focus logic did change some time around emacs 26 or 27. Before that time
the X focus stayed with the edit frame, but input was directed (by emacs I
guess) to the minibuf. Now the X focus shifts to the minibuf and back, which
is why my mouse warps to the upper corner of the edit frame. It's annoying
and I'll be looking for a fix, but I can't honestly say it's an emacs bug.